@charset "UTF-8";

.c-modal-close {
  width: 36px;
  width: clamp(32px, 10vw, 54px);
  height: 36px;
  height: clamp(32px, 10vw, 54px);
  text-align: center;
  cursor: pointer;
  background-color: var(--color-font);
}
.c-modal-close > img {
  pointer-events: none;
}
.c-modal-close::before,
.c-modal-close::after {
  position: absolute;
  display: block;
  content: '';
  top: 50%;
  left: 50%;
  width: 75%;
  height: 2px;
  background: var(--color-base);
}
.c-modal-close::before {
  transform: translate3d(-50%, -50%, 0) rotate(-45deg);
}
.c-modal-close::after {
  transform: translate3d(-50%, -50%, 0) rotate(45deg);
}
.c-kakusei-list {
  display: flex;
  align-items: center;
  gap: 10px;
}
.c-kakusei-list dd ul {
  display: flex;
  gap: 4px;
}
.c-kakusei-list dd li {
  width: 20px; /* clamp非対応対策 */
  width: clamp(16px, 5.5vw, 24px);
}
.c-kakusei-list--sync dt {
  color: #30a850;
}
.c-leader-skill-txt {
  display: flex;
  gap: 10px;
}
.c-leader-skill-txt .per {
  color: var(--color-accent);
}
.c-evo-btn-list {
  display: flex;
  justify-content: center;
  margin-top: 10px;
  padding: 0 10px;
  gap: 2px; /* clamp非対応対策 */
  gap: clamp(2px, 1.6vw, 8px);
  pointer-events: auto;
}
.c-evo-btn-list__item {
  width: min(calc(100% / 4), 140px);
  /* background: #000; */
  font-size: 0;
}
.c-evo-btn-list__item > a {
  display: inline-block
}
.c-evo-btn-list__item img {
  height: auto;
}
.c-evo-btn-list__item.is-active a {
  cursor: default;
}
.c-es-btn {
  display: block;
  width: min(8.5vw, 68px);
}
.c-es-btn > img {
  pointer-events: none;
}
.c-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #d5d5d7;
  background-image: url(../img/modal-deco-l.png), url(../img/modal-deco-r.png);
  background-position: top left, bottom right;
  background-size: 12vw auto;
  background-repeat: no-repeat;
  cursor: pointer;
  z-index: 100;
}

.p-chara-list-wrap {
  max-width: 1568px;
  margin-left: auto;
  margin-right: auto;

}
.p-chara-list,
.p-chara-list * {
 box-sizing: border-box;
}
.p-chara-list,
.p-chara-list * {
 box-sizing: border-box;
}
.p-chara-list {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  justify-content: center;
  margin: 0 auto;
  padding: 0 var(--padding);
  gap: calc(var(--gap) * 4) var(--gap);
}
.p-chara-list__item {
  grid-column: span 4;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: flex-start;
  align-items: center;
}
.p-chara-list__item img {
  width: auto;
  height: auto;
  max-width: 100%;
}
.p-chara-details-btn {
  width: min(80%, 304px);
  margin-top: var(--gap);
}
.p-chara-details-btn > a {
  display: inline-block;
}

.p-modal-illust,
.p-modal-ability,
.p-modal-illust *,
.p-modal-ability * {
  box-sizing: border-box;
}

.p-modal-illust,
.p-modal-ability {
  position: fixed;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  pointer-events: none;
  z-index: 101;
}
.p-modal-illust-box__img,
.p-modal-ability-box__img,
.p-modal-ability-box__others {
  pointer-events: auto;
}

.p-modal-illust img,
.p-modal-ability img {
  height: auto;
  max-width: 100%;
  box-sizing: content-box;
}
.p-modal-illust-box {
  position: relative;
  width: min(100vw, 960px);
  margin: 0 auto;
}
.p-modal-illust-box__img {
  position: relative;
  width: min(100%, 960px);
  margin: 0 auto;
  text-align: center;
}
.p-modal-illust-box__img > img {
  position: absolute;
  top: 0;
  left: 0;
  height: auto;
}
.p-modal-illust-cover {
  position: relative;
  display: block;
  content: '';
  width: 100%;
  height: 0;
  padding-top: calc((690 / 960) * 100%);
  pointer-events: none;
}
.p-modal-illust-box__img .c-modal-close {
  position: absolute;
  top: 0;
  right: 0;
  transform: translate(-25%, -25%);
}
.p-modal-ability-box {
  position: relative;
  width: min(100vw, 600px);
  margin: 0 auto;
}

.p-modal-ability-box__img {
  position: relative;
  width: min(85%, 600px);
  max-width: 47vh;
  margin: 0 auto;
}
.p-modal-ability-cover {
  position: relative;
  display: block;
  content: '';
  width: 100%;
  height: 0;
  padding-top: calc((955 / 640) * 100%);
  pointer-events: none;
}
.p-modal-ability-box__img > img {
  position: absolute;
  top: 0;
  left: 0;
  border: 1px solid #928160;
}
.p-modal-ability-box__img.is-darken > img {
  -webkit-filter: brightness(0.7);
          filter: brightness(0.7);
}
.p-modal-ability-box__img .c-modal-close {
  position: absolute;
  top: 0;
  right: 0;
  transform: translate(35%, -35%);
}

.p-modal-ability-box__others {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  gap: 5px 20px;
  margin-top: 10px;
  padding: 0 10px;
  color: var(--color-font);
  font-size: 12px; /* clamp非対応対策 */
  font-weight: bold;
  line-height: 1.3;
}
.p-es {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translate(0, -50%);
}
.p-es__img {
  display: block;
  padding: 0 10px;
}
.p-es__img > img {
  border: 1px solid #b4c03a;
}
.p-es .c-es-btn {
  position: absolute;
  top: 50%;
  left: -3vw;
  transform: translate(0, -50%);
}
.p-modal-notice {
  margin-top: 10px;
  padding: 0 10px;
  font-size: 12px; /* clamp非対応対策 */
  font-size: clamp(10px, 1.4vw, 14px);
  color: #fff;
  pointer-events: auto;
}
.p-modal-notice p {
  margin-top: 0;
}

/* transition */
.opacity-enter {
  opacity: 0;
}
.opacity-enter-active {
  transition: opacity .2s ease-in;
}
.opacity-enter-to {
  opacity: 1;
}
.opacity-leave{
  opacity: 1;
}
.opacity-leave-active {
  transition: opacity 0s ease-in;
}
.opacity-leave-to {
  opacity: 0;
}

.c-overlay.opacity-leave-active {
  transition-duration: .15s;
}

/* flexbox gap 対策 */
.no-flexbox-gap .c-kakusei-list > * {
  margin-right: 10px;
}
.no-flexbox-gap .c-kakusei-list > *:last-child {
  margin-right: 0;
}
.no-flexbox-gap .c-kakusei-list dd ul > * {
  margin-right: 4px;
}
.no-flexbox-gap .c-kakusei-list dd ul > *:last-child {
  margin-right: 0;
}
.no-flexbox-gap .c-leader-skill-txt > * {
  margin-right: 10px;
}
.no-flexbox-gap .c-leader-skill-txt > *:last-child {
  margin-right: 0;
}
.no-flexbox-gap .c-evo-btn-list > * {
  margin-right: 4px; /* clamp非対応対策 */
  margin-right: clamp(2px, 1.6vw, 8px);
}
.no-flexbox-gap .c-evo-btn-list > *:last-child {
  margin-right: 0;
}
.no-flexbox-gap .p-chara-list > * {
  margin-right: 14px;
  margin-bottom: 30px;
  margin-top: 30px; /* clamp非対応対策 */
  margin-bottom: clamp(30px, 8vw, 48px);
}
.no-flexbox-gap .p-chara-list > *:nth-child(2n) {
  margin-right: 0;
}
.no-flexbox-gap .p-modal-ability-box__others > * {
  margin-right: 20px;
  margin-bottom: 5px;
}
.no-flexbox-gap .p-modal-ability-box__others > *:last-child {
  margin-right: 0;
}
@media (any-hover: hover) {
  .c-modal-close:hover {
    background: var(--color-accent);
    color: var(--color-base);
  }
  .c-modal-close:hover::before,
  .c-modal-close:hover::after {
    background: var(--color-base);
  }
}

@media screen and (min-width: 641px) {
  .p-chara-list-wrap {
    width: 90%;
  }
  .p-chara-list {
    /* grid-template-columns: repeat(8, 1fr); */
  }
  .p-chara-list__item {
    grid-column: span 4;
  }
  .p-modal-illust-box {
    width: min(calc(100vw - 17px), 960px);
  }
  .p-modal-ability-box {
    width: min(70vw, 600px);
  }
  .p-es .c-es-btn {
    left: -10px;
    transform: translate(-50%, -50%);
  }
}
@media screen and (min-width: 641px) and (orientation: landscape) {
  .c-kakusei-list dd li {
    width: 16px; /* clamp非対応対策 */
    width: clamp(16px, 5.5vw, 18px);
  }

  .p-modal-illust-box__img {
    max-width: 110vh;
  }
  .p-modal-ability-box__others {
    font-size: 12px; /* clamp非対応対策 */
    font-size: clamp(10px, 1.4vw, 16px);
  }
}
@media screen and (min-width: 641px) and (max-width: 1023px) and (orientation: landscape) {
  .c-modal-close {
    width: 40px; /* clamp非対応対策 */
    width: clamp(40px, 5vw, 54px);
    height: 40px; /* clamp非対応対策 */
    height: clamp(40px, 5vw, 54px);
    font-size: 24px;/* clamp非対応対策 */
    font-size: clamp(24px, 4vw, 40px);
  }
  .c-evo-btn-list__item {
    width: min(10vw, 140px);
  }

  .p-modal-ability-box__others {
    justify-content: center;
  }
}

@media screen and (min-width: 1024px) {
  .c-kakusei-list dd li {
    width: 24px; /* clamp非対応対策 */
    width: clamp(16px, 5.5vw, 24px);
  }
  .c-evo-btn-list {
    padding: 0;
  }
  .c-modal-close {
    width: 54px; /* clamp非対応対策 */
    width: clamp(40px, 5vw, 54px);
    height: 54px; /* clamp非対応対策 */
    height: clamp(40px, 5vw, 54px);
    font-size: 40px;/* clamp非対応対策 */
    font-size: clamp(24px, 4vw, 40px);
  }
  .p-chara-list {
    gap: calc(var(--gap) * 2) var(--gap);
  }
  .p-chara-list__item {
    grid-column: span 3;
  }
  .p-chara-details-btn {
    margin-top: calc(var(--gap) / 2);
  }
  .p-modal-illust-box__img .c-modal-close {
    transform: translate(25%, -25%);
  }
  .p-modal-ability-box__others,
  .p-modal-notice {
    padding: 0;
  }

}
@media screen and (min-width: 1367px) and (orientation: landscape) {
  .p-modal-ability-box__img {
    width: min(100%, 600px);
    max-width: 52vh;
  }
}
@media screen and (min-width: 1440px) {}
@media screen and (min-width: 1920px) {
  .c-overlay {
    background-size: auto;
  }
}

@media screen and (max-height: 600px) and (orientation: landscape) {
   .es-btn {
    width: 2.5em;
    height: 7em;
    font-size: min(1.2vw, 20px);
  }
  .c-modal-close {
    width: 32px;
    width: clamp(32px, 3vw, 54px);
    height: 32px;
    height: clamp(32px, 3vw, 54px);
  }
  .p-modal-ability-box__others,
  .c-evo-btn-list,
  .c-es-btn {
    font-size: 9px;
  }
}
